If you’ve got Intel inside, you probably need to get these security patches inside, too

Intel has disclosed high-severity bugs in its firmware that’s used in datacenter servers, workstations, mobile devices, storage products, and other gear. These flaws can be exploited to escalate privileges, leak information, or stop things from working.

Read full article on The Register